RHEL 8:kpatch-patch(RHSA-2021:0763)

high Nessus プラグイン ID 147215
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストに、1つ以上のセキュリティ更新プログラムがありません。

説明

リモートのRedhat Enterprise Linux 8ホストに、次に記載されている複数の脆弱性の影響を受けるパッケージがインストールされています。RHSA-2021:0763アドバイザリ。

- kernel:auditfilter.cで不正なkfreeは、権限昇格を引き起こす可能性があります(CVE-2020-0444)

- kernel:net/netfilter/nf_conntrack_netlink.cのctnetlink_parse_tuple_filterにおけるローカルバッファオーバーフロー(CVE-2020-25211)

- kernel:drivers/tty/tty_jobctrl.cのロッキング問題によりメモリ解放後使用(Use After Free)が発生する可能性があります(CVE-2020-29661)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://cwe.mitre.org/data/definitions/99.html

https://cwe.mitre.org/data/definitions/119.html

https://cwe.mitre.org/data/definitions/244.html

https://cwe.mitre.org/data/definitions/416.html

https://cwe.mitre.org/data/definitions/667.html

https://access.redhat.com/security/cve/CVE-2020-0444

https://access.redhat.com/security/cve/CVE-2020-25211

https://access.redhat.com/security/cve/CVE-2020-29661

https://access.redhat.com/errata/RHSA-2021:0763

https://bugzilla.redhat.com/1877571

https://bugzilla.redhat.com/1906525

https://bugzilla.redhat.com/1920474

プラグインの詳細

深刻度: High

ID: 147215

ファイル名: redhat-RHSA-2021-0763.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2021/3/9

更新日: 2021/10/7

依存関係: ssh_get_info.nasl, redhat_repos.nasl

リスク情報

CVSS スコアのソース: CVE-2020-29661

VPR

リスクファクター: High

スコア: 7.4

CVSS v2

リスクファクター: High

Base Score: 7.2

Temporal Score: 5.6

ベクトル: AV:L/AC:L/Au:N/C:C/I:C/A:C

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 7

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:redhat:rhel_aus:8.2, cpe:/o:redhat:rhel_e4s:8.2, cpe:/o:redhat:rhel_eus:8.2, cpe:/o:redhat:rhel_tus:8.2, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_13_2, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_14_3, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_19_1, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_1_2, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_28_1, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_29_1, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_37_1, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_40_1, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_41_1, p-cpe:/a:redhat:enterprise_linux:kpatch-patch-4_18_0-193_6_3

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2021/3/9

脆弱性公開日: 2020/9/9

参照情報

CVE: CVE-2020-0444, CVE-2020-25211, CVE-2020-29661

RHSA: 2021:0763

CWE: 99, 119, 244, 416, 667